Name:		guilt
Version:	0.35
Release:	7%{?dist}
Summary:	Scripts to manage quilt-like patches on top of git

Group:		Development/Tools
License:	GPLv2
URL:		http://www.kernel.org/pub/linux/kernel/people/jsipek/%{name}/
Source:		http://www.kernel.org/pub/linux/kernel/people/jsipek/%{name}/%{name}-%{version}.tar.bz2
Requires:	git, gawk, sed, bash
Conflicts:	git >= 1.9

Patch0:		guilt-tests-git-workaround.patch
Patch1:		guilt-git-1.8.patch

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	asciidoc, xmlto, git-core

%description
Guilt allows one to use quilt functionality on top of a Git repository.
Changes are maintained as patches which are committed into Git.  Commits can
be removed or reordered, and the underlying patch can be refreshed based on
changes made in the working directory. The patch directory can also be
placed under revision control, so you can have a separate history of changes
made to your patches.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build
make ASCIIDOC='asciidoc --unsafe' %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/usr
make install-doc PREFIX=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/usr/share/man

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING Documentation/HOWTO Documentation/Contributing Documentation/Features
%{_bindir}/guilt
%{_prefix}/lib/*
%{_mandir}/man1/guilt*.1*
%{_mandir}/man7/guilt*.7*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 04 2013 Eric Sandeen <sandeen@redhat.com> 0.35-6
- Conflict with next major version of git, not minor versions past 1.8

* Thu Dec 20 2012 Eric Sandeen <sandeen@redhat.com> 0.35-5
- Allow guilt to work w/ git 1.8 (#887245)

* Fri Aug 03 2012 Eric Sandeen <sandeen@redhat.com> 0.35-4
- Work around regression tests failures due to git change w.r.t. empty patches

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 11 2011 Eric Sandeen <sandeen@redhat.com> 0.35-1
- New upstream version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 21 2010 Eric Sandeen <sandeen@redhat.com> 0.34-1
- New upstream version

* Fri Apr 16 2010 Eric Sandeen <sandeen@redhat.com> 0.33-1
- New upstream version

* Thu Jan 14 2010 Eric Sandeen <sandeen@redhat.com> 0.32.2-1
- New upstream version

* Sat Jul 11 2009 Eric Sandeen <sandeen@redhat.com> 0.32.1-2
- Fix asciidoc call so it works.

* Sat Jul 11 2009 Eric Sandeen <sandeen@redhat.com> 0.32.1-1
- New upstream version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Eric Sandeen <sandeen@redhat.com> 0.32-2
- New upstream version, supports newer git (1.6)
- Fix minor regression test problem

* Tue Jun 02 2008 Eric Sandeen <sandeen@redhat.com> 0.30-2
- Fix regression test output for new versions of git (#440169)

* Fri Apr 11 2008 Eric Sandeen <sandeen@redhat.com> 0.30-1
- New upstream version

* Mon Apr 07 2008 Eric Sandeen <sandeen@redhat.com> 0.29-1
- Initial build
